# $Revision: 1.38 $, $Date: 2009/08/26 10:05:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Amoeba
Summary:	Math::Amoeba - multidimensional function minimalization
Summary(pl.UTF-8):	Math::Amoeba - minimalizacja funkcji w wielu wymiarach
Name:		perl-Math-Amoeba
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	df05eeaef4794cc56e8ed71fb8b5c483
URL:		http://search.cpan.org/dist/Math-Amoeba/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Amoeba is an implimenation of the Downhill Simpex Method in
Multidimensions (Nelder and Mead) for finding the (local) minimum of a
function.

%description -l pl.UTF-8
Moduł perla Math::Amoeba jest implementacją metody "Downhill Simplex"
w wielu wymiarach (Neldera i Meada) do znajdowania (lokalnego) minimum
funkcji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Math/Amoeba.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Amoeba.spec,v $
Revision 1.38  2009/08/26 10:05:27  amateja
- updated to 0.05

Revision 1.37  2007/12/24 13:45:06  qboosh
- generic URL
- informative summaries

Revision 1.36  2007-12-24 01:25:34  zbyniu
- up to 0.04

Revision 1.35  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.33  2005/11/23 10:19:28  czucz
- updated to 0.02
- added %bcond_without tests
- removed outdated Patch0

Revision 1.32  2004/11/03 22:30:33  paladine
- formatting

Revision 1.31  2004/05/07 01:01:02  ankry
- rel. 11

Revision 1.30  2004/05/06 18:20:35  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/25 00:50:57  ankry
- cosmetics: unification

Revision 1.28  2004/04/23 07:50:14  ankry
- license fixes, unification

Revision 1.27  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 20:20:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:36:15  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/08/16 21:44:38  qboosh
- better pl description, new %%doc, release 9

Revision 1.18  2002/07/10 08:48:00  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:32:46  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:18:15  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:28:23  depesz
adapterized

Revision 1.12  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:12:28  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/11 02:14:50  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:56  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:36  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
